Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions
Argus::IVideoStabilizationSettings Class Reference
Request

Interface to video stabilization settings. More...

`#include <Settings.h>`

Inheritance diagram for Argus::IVideoStabilizationSettings:

List of all members.

## Public Member Functions

virtual Status | setVideoStabilizationMode (const VideoStabilizationMode &mode)=0
| Sets the video stabilization mode to use for the request.
virtual VideoStabilizationMode | getVideoStabilizationMode () const =0
| Returns the video stabilization mode for the request.

## Static Public Member Functions

static const InterfaceID & | id ()

## Protected Member Functions

| ~IVideoStabilizationSettings ()
Protected Member Functions inherited from Argus::Interface
| Interface ()
| ~Interface ()

## Detailed Description

Interface to video stabilization settings.

Definition at line 617 of file Settings.h.

## Constructor & Destructor Documentation

Argus::IVideoStabilizationSettings::~IVideoStabilizationSettings | ( |  | ) |

inlineprotected

Definition at line 636 of file Settings.h.

## Member Function Documentation

virtual VideoStabilizationMode Argus::IVideoStabilizationSettings::getVideoStabilizationMode | ( |  | ) | const

pure virtual

Returns the video stabilization mode for the request.

static const InterfaceID& Argus::IVideoStabilizationSettings::id | ( |  | ) |

inlinestatic

Definition at line 620 of file Settings.h.

virtual Status Argus::IVideoStabilizationSettings::setVideoStabilizationMode | ( | const VideoStabilizationMode & | mode | ) |

pure virtual

Sets the video stabilization mode to use for the request.

Parameters:

  [in] | mode | The video stabilization mode.

Returns:
  success/status of the call.

The documentation for this class was generated from the following file:

- include/Argus/Settings.h